> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v2/notification/update ## OpenAPI ````json POST /v2/notification/update { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v2/notification/update": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2NotificationUpdatePostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v2NotificationUpdatePostResponse" } } } } } } } }, "components": { "schemas": { "v2NotificationUpdatePostRequest": { "type": "object", "properties": { "notificationBody": { "$ref": "#/components/schemas/alertserviceNotificationBody" }, "notificationIdList": { "type": "array", "items": { "type": "string", "example": "example string", "description": "List of notification ids to update (required)" } } }, "additionalProperties": false, "required": [ "notificationBody", "notificationIdList" ] }, "v2NotificationUpdatePostResponse": { "type": "object", "properties": {}, "additionalProperties": false }, "alertserviceNotificationBody": { "type": "object", "properties": { "description": { "type": "string", "example": "example string", "description": "Description of notification" }, "duration": { "type": "string", "example": "ENUM_VALUE", "description": "Time interval for notification (required)" }, "enabled": { "type": "boolean", "example": true, "description": "Enable or disable notification (required)" }, "frequency": { "type": "integer", "format": "int64", "example": 12345678910, "minimum": 0, "description": "Frequency of notifying a continuing alert (required)" }, "messageBody": { "type": "string", "example": "example string", "description": "Message body to prepend to actual message" }, "notificationName": { "type": "string", "example": "example string", "description": "Name of the notification record (required)" }, "opsgenieList": { "type": "array", "items": { "type": "string", "example": "example string", "description": "List of opsgenie recipients" } }, "opsrampList": { "type": "array", "items": { "type": "string", "example": "example string", "description": "List of opsramp recipients" } }, "pagerdutyList": { "type": "array", "items": { "type": "string", "example": "example string", "description": "List of pagerduty recipients" } }, "recipientList": { "type": "array", "items": { "type": "string", "example": "example string", "description": "Non-empty list of email recipients (required)" } }, "teamsList": { "type": "array", "items": { "type": "string", "example": "example string", "description": "List of teams recipients" } }, "webhookUrlList": { "type": "array", "items": { "type": "string", "example": "example string", "description": "List of webhook_url recipients" } } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````